CO_SRDOGuard_t Struct Reference
CANopen_304 » SRDO

Gurad Object for SRDO monitors: More...

`#include <CO_SRDO.h>`

## Data Fields

CO_NMT_internalState_t * | operatingState
| pointer to current operation state
CO_NMT_internalState_t | operatingStatePrev
| last operation state
uint8_t * | configurationValid
| pointer to the configuration valid flag in OD
uint8_t | checkCRC
| specifies whether a CRC check should be performed

## Detailed Description

Gurad Object for SRDO monitors:

- access to CRC objects
- access configuration valid flag
- change in operation state

The documentation for this struct was generated from the following file:

- 304/CO_SRDO.h